Subject: Re: [P2PSIP] Concerns, questions and nits about base -06 as part of the WGLC

From: Cullen Jennings <[email-masked]>
Date: Wed, 17 Feb 2010 15:38:07 -0700

On Dec 17, 2009, at 9:27 PM, jc wrote:

> On Dec 17, 2009, at 6:12 PM, Michael Chen wrote:
> 
>> 
>> On that note, doesn't IPv6 make ICE obsolete? and yet this draft mandates ICE.
> 
> It does, however it's irrelevant if you cannot obtain an IPv6 address which constitutes most of the world's ISP's. There are only three IPv6 capable pops in the intercontinental United States as of April 2009 and the DoD has failed to meet their deadline last year. I'm not sure why ICE was made mandatory in RELOAD as a base protocol but would love to know the rational. ICE should be used "less" going forward not "more", however that sadly isn't the case.

Agree. I'll also note that ICE is not just for NATs, it for firewalls too. I don't expect to have less firewalls in V6 than V4. I'll also point out the large amount of work going on at IETF on v6 to v6 NATs of various forms so the assumption v6 will eliminate all forms of NATs may not turn out to be true. 

Cullen Jennings
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html